#!/bin/bash

PREFIX=""
CFGDIR="${XDG_CONFIG_HOME:-$HOME/.config}/BSI"
TBCMD="trustbridge --tray"
XSET=/usr/bin/xset
CONFIG="$CFGDIR/trustbridge-tray-starter.cfg"

if [ -r "$CONFIG" ] ; then
    DISPLAY=`sed -n "/DISPLAY/s/[^=]*=\(.*\)/\1/p" "$CONFIG"`
    export DISPLAY

    # only run when X is accessible
    if "$XSET" -q >/dev/null 2>&1 ; then
        "$PREFIX/bin/"$TBCMD
    fi
fi
